{***********************************************************************
*  TKURL version 2.0                                                   *
*                                                                      *
*    Copyright  1997, 1998 - All Rights Reserved.                     *
*    Developed By: Karlos Jorge Pinto                                  *
*    E-MAIL: Karlospinto@hotmail.com                                   *
*    Visit: o---> Delphi@pt <---o in:                                  *
*    http://www.terravista.pt/bilene/1412 ---> In English/Portuguese   *
************************************************************************
*    Changed By: Eduardo Oliveros Daz                                 *
*    E-MAIL: oliveros@redestb.es                                       *
*    ThanX to Ahto (http://www.moonsoftware.ee)                        *
************************************************************************
*  This component is FREEWARE. *But* is Unregistered. If you like      *
*  To have a registered copy of this component please read the         *
*  Register.wri, for more details.                    Build n:  3/98  *
***********************************************************************}

Unit KURL2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ShellApi, stdctrls;

type
  LinkType = (ltURL,ltEMAIL);
  TKURL2 = class(TWinControl)
  private
    { Private declarations }
    FLabel: TLabel;
    FURL: string;
    FLink: LinkType;

    function  GetURL: string;
    procedure SetURL(s: string);
    function  GetShowHint: Boolean;
    procedure SetShowHint(B: Boolean);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create( AOwner: TComponent ); override;
    destructor Destroy; override;
    procedure Click(Sender : TObject);
  published
    { Published declarations }
    property URLorEMAIL: string read GetURL write SetURL;
    property ShowHint: Boolean read GetShowHint write SetShowHint default True;
    property Choose: LinkType read FLink write FLink default ltURL;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Delphi@pt', [TKURL2]);
end;

constructor TKURL2.Create( AOwner: TComponent );
begin
  inherited Create(AOwner);

  Height := 13;
  Cursor := crHandPoint;
  Hint := 'Put here the Hint for your site link!';

  FLabel := TLabel.Create(self);
  FLabel.Visible := true;
  FLabel.Font.Color := clBlue;
  FLabel.Font.Style := [fsUnderline];
  FLabel.OnClick := Click;
  FLabel.Parent := Self;
  FLabel.Caption := 'http://www.Url_Or_E-Mail.com';
  FLabel.ShowHint := True;
  Width := FLabel.Width;
end;

destructor TKURL2.Destroy;
begin
  FLabel.Free;
  inherited Destroy;
end;

procedure TKURL2.Click(Sender : TObject);
begin
  If Flink=ltUrl then
  ShellExecute(Handle , 'open', PChar(FLabel.Caption), nil, nil, SW_MAXIMIZE)
  else
  ShellExecute(Handle , 'open', PChar('mailto:'+Flabel.Caption), nil, nil, SW_MAXIMIZE);
end;

function TKURL2.GetURL: string;
begin
  result := FLabel.Caption;
end;

procedure TKURL2.SetURL(s : String);
begin
  FLabel.Caption := s;
  Width := FLabel.Width;
end;

function TKURL2.GetShowHint : Boolean;
begin
  result:=FLabel.ShowHint;
end;

procedure TKURL2.SetShowHint(B : Boolean);
begin
  FLabel.ShowHint:=b;
end;

end.
